aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.gitignore3
-rwxr-xr-xpackage.bash8
2 files changed, 11 insertions, 0 deletions
diff --git a/.gitignore b/.gitignore
index 4e4ddae..22ad0f7 100644
--- a/.gitignore
+++ b/.gitignore
@@ -3,3 +3,6 @@
# temporary files created by the tests
/tmp
+
+# binary releases
+/*.tar.gz
diff --git a/package.bash b/package.bash
new file mode 100755
index 0000000..aeb52b2
--- /dev/null
+++ b/package.bash
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+set -eux
+
+tag=$(git describe --tags)
+cd gocryptfs_main
+go build
+tar czvf ../gocryptfs_$tag.tar.gz gocryptfs gocryptfs_main